@echo off
REM This script expects to be run from the parent directory
REM ex. scripts/build.bat

IF not exist build/ (
    echo This script needs to be run from the directory above build/
    goto END
)

set "DELGUI="
set "RELEASE="

If "%~1" == "r" set "RELEASE=1"
If "%~2" == "r" set "RELEASE=1"

If "%~1" == "g" set "DELGUI=1"
If "%~2" == "g" set "DELGUI=1"

IF defined RELEASE (
cmake --build build/ --target ALL_BUILD --config Release
xcopy /y test_data\engine_state.xml build\Release\
) ELSE (
cmake --build build/ --target ALL_BUILD --config Debug
xcopy /y test_data\engine_state.xml build\Debug\
)

IF defined DELGUI (
del /s /q build\Debug\imgui.ini
del /s /q build\Release\imgui.ini
)

:END